version: '3.5'

services:
  streamer:
    container_name: marqus-video-streamer
    image: harbor.zebrains.team/mlearning/marqus-video-streamer:latest
    ports:
      - "8000:8000"
      - "5500:5500"
    networks:
      marqus_net:
        ipv4_address: 172.10.1.10
    environment:
      - OUTPUT_IMAGEZMQ_BIND=tcp://172.10.1.10:5500

  recotracker:
    container_name: marqus-video-recotracker
    image: harbor.zebrains.team/mlearning/marqus-video-recotracker:latest
    ports:
      - "8001:8001"
      - "8002:8002"
    depends_on:
      - "streamer"
    networks:
      marqus_net:
        ipv4_address: 172.10.1.20
    environment:
      - INPUT_IMAGEZMQ_BIND=tcp://172.10.1.10:5500
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              count: 1
              capabilities: [ gpu ]

#networks:
#  default:
#    name: marqus

networks:
  marqus_net:
    driver: bridge
    ipam:
      driver: default
      config:
      - subnet: 172.10.1.0/24
        gateway: 172.10.1.1
